For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Execute a simulation suite

POST https://api.synthflow.ai/v2/simulation_suites/{suite_id}/execute

Execute all test cases in a suite. The suite runs on the agent it was created for (determined by the suite's model_id).

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/execute-simulation-suite

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_suites/{suite_id}/execute:
    post:
      operationId: execute-simulation-suite
      summary: Execute a simulation suite
      description: >-
        Execute all test cases in a suite. The suite runs on the agent it was
        created for (determined by the suite's model_id).
      tags:
        - ''
      parameters:
        - name: suite_id
          in: path
          description: Simulation suite ID.
          required: true
          schema:
            type: string
        - name: target_agent_id
          in: query
          description: Target agent ID. Must match the suite's model_id.
          required: true
          schema:
            type: string
        - name: max_turns
          in: query
          description: Maximum number of turns per simulation.
          required: false
          schema:
            type: integer
            default: 20
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/execute-simulation-suite_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Execute-simulation-suiteRequestBadRequestError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Execute-simulation-suiteRequestNotFoundError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    execute-simulation-suite_Response_200:
      type: object
      properties:
        session_id:
          type: string
          format: uuid
        suite_id:
          type: string
          format: uuid
        suite_name:
          type: string
        total_cases:
          type: integer
        status:
          type: string
      title: execute-simulation-suite_Response_200
    Execute-simulation-suiteRequestBadRequestError:
      type: object
      properties: {}
      title: Execute-simulation-suiteRequestBadRequestError
    Execute-simulation-suiteRequestNotFoundError:
      type: object
      properties: {}
      title: Execute-simulation-suiteRequestNotFoundError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_suites/suite_id/execute"

querystring = {"target_agent_id":"target_agent_id"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```